Bug 187330 - non-standard files causing problems
non-standard files causing problems
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-29 23:39 EST by Steve Hall
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: vim-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-05 05:46:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Hall 2006-03-29 23:39:55 EST
Description of problem:

The non-standard /usr/share/vim/vim64/plugin/c.vim is adding a top level
"&C/C++" menu for all filetypes. 

The bigger issue looks to be non-Vim (personal?) runtimes accidentally dumped
into the package. I'm not sure what else is happening (depends on what filetype
being edited), but there are a number of other undocumented directories/files
scattered about that are not part of the usual Vim distribution:

  /usr/share/vim/vim64/codesnippets-c
  /usr/share/vim/vim64/plugin/templates
  /usr/share/vim/vim64/plugin/wrapper.sh
  /usr/share/vim/vim64/rc
  /usr/share/vim/vim64/wordlists


Version-Release number of selected component (if applicable):

4.6.7

How reproducible:

Always.


Expected results:

Menu should not be added. Additional functionalities beyond the usual Vim distro
should be avoided, or at least documented (in :help).
Comment 1 Steve Hall 2006-03-29 23:41:16 EST
Sorry, Version should be 6.4.7.
Comment 2 Karsten Hopp 2007-04-05 05:46:17 EDT
This has been fixed in vim-7

Note You need to log in before you can comment on or make changes to this bug.